<section class="slp-commit-grid slp-relative slp-mb-64 md:slp-mb-80">
  <div class="slp-col-span-full slp-mb-32">
    <div class="slp-relative">
      <div
            class="slp-rounded-full slp-max-w-min slp-bg-grayscale-highlight md:slp-absolute md:slp-top-0 md:slp--left-6 md:slp-transform md:slp--translate-x-full md:slp-translate-y-1/4 slp-p-9"
            >
        <% if tracks.icon %>    
          <%= inline_svg "#{tracks.icon}", class: "" %>
        <% else %>
          <%= inline_svg "/icons/slp-tracks.svg", class: "" %>
        <% end %>  
      </div>
      <h2
            class="slp-font-normal slp-text-grayscale-333 slp-text-3xl md:slp-text-4xl slp-leading-tight slp-mb-16 slp-max-w-3xl slp-col-span-full"
            >
        <%= tracks.heading %>
      </h2>
    </div>
    <p
         class="slp-font-normal slp-text-grayscale-333 slp-text-lg slp-leading-tight slp-max-w-3xl"
         >
      <%= tracks.body %>
    </p>
  </div>
  <% tracks.card.each do |track| %>
    <div
      class="slp-col-span-full md:slp-col-span-5 slp-border slp-border-grayscale-highlight slp-rounded-md slp-p-32 slp-shadow-lg slp-mb-32 slp-relative"
      >
      <h3
         class="slp-font-normal slp-text-grayscale-333 slp-text-lg slp-leading-tight slp-mb-16"
         >
        <%= track.heading %>
      </h3>
      <p
         class="slp-font-normal slp-text-grayscale-333 slp-text-base slp-leading-normal"
         >
        <%= kramdown(track.body) %>
      </p>
      <% if track.icon %>
        <div
         class="slp-rounded-full slp-p-8 slp-absolute slp-top-0 slp-left-0 slp-transform slp-translate-x-32 slp--translate-y-1/2 <%= track.icon_color %>"
         >
          <%= inline_svg "#{track.icon}", class: "" %>
        </div>
      <% else %>
        <div
         class="slp-rounded-full slp-p-8 slp-absolute slp-top-0 slp-left-0 slp-transform slp-translate-x-32 slp--translate-y-1/2 slp-bg-ui-tertiary-dark"
         >
          <%= inline_svg "/icons/slp-bulb.svg", class: "" %>
        </div>
      <% end %>
    </div>
  </div>
<% end %>
</section>
